Package org.w3c.tidy

# Interface AttrCheck

All Known Implementing Classes:
  `AttrCheckImpl.CheckAlign`, `AttrCheckImpl.CheckBool`, `AttrCheckImpl.CheckClear`, `AttrCheckImpl.CheckColor`, `AttrCheckImpl.CheckFsubmit`, `AttrCheckImpl.CheckId`, `AttrCheckImpl.CheckLang`, `AttrCheckImpl.CheckLength`, `AttrCheckImpl.CheckName`, `AttrCheckImpl.CheckNumber`, `AttrCheckImpl.CheckScope`, `AttrCheckImpl.CheckScript`, `AttrCheckImpl.CheckScroll`, `AttrCheckImpl.CheckShape`, `AttrCheckImpl.CheckTarget`, `AttrCheckImpl.CheckTextDir`, `AttrCheckImpl.CheckUrl`, `AttrCheckImpl.CheckValign`, `AttrCheckImpl.CheckVType`

public interface AttrCheck
Check attribute values.

Version:
  $Revision: 400 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`void`
`check(Lexer lexer, Node node, AttVal attval)`
Check the value of an attribute.

## Method Details

### check

void check(Lexer lexer, Node node, AttVal attval)
Check the value of an attribute.

Parameters:
  `lexer` - Lexer
  `node` - current Node
  `attval` - attribute value